Bug 461380 - Review Request: perl-Module-Install-ExtraTests - Ignorable, contextual test support for Module::Install
Review Request: perl-Module-Install-ExtraTests - Ignorable, contextual test s...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Extras Quality Assurance
http://search.cpan.org/dist/Module-In...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-06 20:39 EDT by Chris Weyl
Modified: 2008-09-08 18:13 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-08 18:13:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Chris Weyl 2008-09-06 20:39:43 EDT
SRPM URL: http://fedora.biggerontheinside.net/review/perl-Module-Install-ExtraTests-0.003-1.fc9.src.rpm
SPEC URL: http://fedora.biggerontheinside.net/review/perl-Module-Install-ExtraTests.spec

Description:
This allows extra_tests; to be declared in Makefile.PL, indicating that the
test files found in the directory ./xt should be run only in certain
instances:

  ./xt/author  - run when the tests are being run in an author's working copy
  ./xt/smoke   - run when the dist is being smoked (AUTOMATED_TESTING=1)
  ./xt/release - run during "make disttest"
Comment 1 Chris Weyl 2008-09-06 23:18:22 EDT
Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=811414

=====> perl-Module-Install-ExtraTests-0.003-1.fc9.noarch.rpm <=====
====> rpmlint
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
====> provides for perl-Module-Install-ExtraTests-0.003-1.fc9.noarch.rpm
perl(Module::Install::ExtraTests) = 0.003
perl-Module-Install-ExtraTests = 0.003-1.fc9
====> requires for perl-Module-Install-ExtraTests-0.003-1.fc9.noarch.rpm
perl >= 0:5.006
perl(:MODULE_COMPAT_5.10.0)  
perl(Module::Install::Base)  
perl(strict)  
perl(warnings)
Comment 2 Jason Tibbitts 2008-09-07 12:52:08 EDT
As usual, not much to say.

* source files match upstream:
   6567a98a5ab4d61a7a5f11338bcfcd93eb5d17476b523b09e8cb550ab22b129b  
   Module-Install-ExtraTests-0.003.tar.gz
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
* description is OK.
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text included in package.
* latest version is being packaged.
* BuildRequires are proper.
* %clean is present.
* package builds in mock (rawhide, x86_64).
* package installs properly.
* rpmlint is silent.
* final provides and requires are sane:
   perl(Module::Install::ExtraTests) = 0.003
   perl-Module-Install-ExtraTests = 0.003-1.fc10
  =
   perl >= 0:5.006
   perl(:MODULE_COMPAT_5.10.0)
   perl(Module::Install::Base)
   perl(strict)
   perl(warnings)

* %check is present and all tests pass:
   All tests successful.
   Files=1, Tests=2,  0 wallclock secs ( 0.00 usr  0.00 sys +  0.02 cusr  0.00 
    csys =  0.02 CPU)

* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* code, not content.
* documentation is small, so no -doc subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.

APPROVED
Comment 3 Chris Weyl 2008-09-07 14:19:18 EDT
New Package CVS Request
=======================
Package Name: perl-Module-Install-ExtraTests
Short Description: Ignorable, contextual test support for Module::Install
Owners: cweyl
Branches: F-8, F-9, devel
InitialCC: perl-sig
Comment 4 Kevin Fenzi 2008-09-08 11:25:49 EDT
cvs done.
Comment 5 Chris Weyl 2008-09-08 18:13:57 EDT
Imported, build pending bug 461333.  Thanks for the review! :-)

Note You need to log in before you can comment on or make changes to this bug.